Product
Support
Everything Else
Helix and macOS 10.11 (El Capitan) Compatibility
Introduction

With the release of macOS 10.11 (aka: El Capitan) Apple has continued on in the direction they started with Yosemite, continuing to merge the visual interface of macOS and iOS. (If you care for a detailed analysis of the changes in El Capitan, read the Ars Technica review.)

In places where El Capitan changes control elements, such as checkboxes, popup menus, and radio buttons, Helix reflects this new design style, making your collections ‘fit right in’ in El Capitan with no (or only minor) design changes required.

For Helix 6.2.4, our testing shows that compatibility with El Capitan is the same as with Yosemite. If you are currently running Mavericks (macOS 10.9) or earlier, review the Yosemite compatibility note before upgrading.

The main compatibility issues relate to the “font” and “color” panels. The font panel issue is fixed in Helix RADE 6.2.4 (6053) and later, and the color panel issue is fixed in Helix 7.0 and later.

Known Problems

Our testing has found that the same compatibility issues found in Yosemite remain in El Capitan. See the Yosemite compatibility note for information on these issues.

Although we have not confirmed an issue, it is reported that Apple has changed the Gatekeeper function such that applications the were code signed using an older process no longer pass the Gatekeeper check. If you experience issues related to installing Helix on a Mac running El Capitan, or encounter any other new and incorrect behavior when running El Capitan, please report them via techdb.

Helix Applications and macOS 10.11
Helix RADE

Helix RADE 6.2.2 and later are compatible with El Capitan, with the exception noted on the Yosemite compatibility page..

Helix RADE 6.2–6.2.1 are compatible with El Capitan, as per the Gatekeeper note above.

Helix RADE 6.1 and earlier are not compatible with El Capitan.

Helix Server

Helix Server 6.2.2 and later are compatible with El Capitan, as per the App Nap note on the Sierra compatibility page.

Helix Server 6.2.1 and earlier are not compatible with El Capitan.

Helix Client

Helix Client 6.2.2 and later are compatible with El Capitan, with the exception of the Color panel issue noted on the Yosemite compatibility page.

Helix Client 6.2.1 and earlier are not compatible with El Capitan.

Helix Engine

Helix Engine 6.2.2 and later are compatible with El Capitan, with the exception of the Color panel issue noted on the Yosemite compatibility page.

Helix Engine 6.2–6.2.1 are compatible with El Capitan, as per the Gatekeeper note above.

Helix Engine 6.1.x has not been tested. We recommend updating to Helix Engine 6.2.2 or later.

Helix Engine 6.0 and earlier are not compatible with El Capitan.

Helix Utility

Helix Utility 6.2 and later are compatible with El Capitan.

Helix Utility 6.0 and earlier are not compatible with El Capitan.

Discontinued Applications
Update Collection

The structure checking function performed by Update Collection has been added directly to Helix 6.2, making this product obsolete.

The ability to update older collections has been added directly to Helix 7.0, making this product fully obsolete.

Update Collection OS X — whose most recent update is version 6.0.1 — is not Intel-native and therefore not compatible with macOS 10.7 or later.

To use a collection with any Helix 6.x version, it must be updated to Helix 6 prior to moving to macOS 10.7 or later. See this technote for options available to update older collections.

Helix Maintenance Manager (HMM)

Helix Maintenance Manager 1.0.x is compatible with Helix utilities 5.3.x and 6.0.x only and therefore not compatible with El Capitan.

Helix Developer Utility (HDU)

Helix Developer Utility (HDU) remains a “Classic-only” application for the time being. Developers who require the functions of HDU but do not have access to a Classic-capable Mac should contact our technical support department for assistance.

Helix Scripting (CallHelix)

The functions performed by Helix Scripting are incorporated directly to Helix 6.2, making this product obsolete.

Helix Scripting — which was included in the Helix RADE Readiness Kit — is not Intel-native and therefore is not compatible with macOS 10.7 or later.